%define		status		beta
%define		pearname	XML_FOAF
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - provides the ability to manipulate FOAF RDF/XML
Summary(pl.UTF-8):	%{pearname} - przetwarzanie plików FOAF RDF/XML
Name:		php-pear-%{pearname}
Version:	0.4.0
Release:	2
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	204f435c64ad5704451e156a403335e4
URL:		http://pear.php.net/package/XML_FOAF/
BuildRequires:	php-pear-PEAR >= 1:1.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.3.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.0-0.b1
Requires:	php-pear-RDF >= 0.1.0-0.alpha1
Requires:	php-pear-XML_Beautifier >= 0.2.2
Requires:	php-pear-XML_Tree >= 1.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_FOAF allows advanced users to create advanced FOAF files. The FOAF
Project can be found at <http://www.foaf-project.org/> -
XML_FOAF_Parser and XML_FOAF_Lite will follow before 1.0.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
XML_FOAF pozwala zaawansowanym użytkownikom tworzyć zaawansowane pliki
FOAF. Projekt FOAF znajduje się pod adresem
<http://www.foaf-project.org/>. XML_FOAF_Parser i XML_FOAF_Lite ukażą
się przed 1.0.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
mv docs/%{pearname}/docs/examples .
mv .%{php_pear_dir}/data/XML_FOAF/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/*.php
%{php_pear_dir}/XML/FOAF
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 9bfc0be
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 343d8de
- up to 0.4.0

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 8f33391
- updated to: 0.3.1

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> d5cddd4
- updated deps with pearize.sh
- release 3

* Tue Jan 26 2010 Elan Ruusamäe <glen@pld-linux.org> f152bf0
- examples not docs; rel 2

* Sat Aug 30 2008 Adam Gołębiowski <adamg@pld-linux.org> f6050ad
- updated to 0.3.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 3dd2ef7
- rel 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a1f291a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9166c17
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> ad1cac8
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> a8f1680
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> ea95454
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 8bd8ce0
- semi automatically added deps from pear

* Sat Oct 01 2005 Elan Ruusamäe <glen@pld-linux.org> 0537654
- new pear packaging

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> fccccca
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> 5ff7b1a
- fixed english information about status of the package

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> ab803b5
- massive cosmetics

* Sat Jan 17 2004 Adam Gołębiowski <adamg@pld-linux.org> a8576ca
- updated to 0.2

* Thu Jan 08 2004 Jakub Bogusz <qboosh@pld-linux.org> a7e6f11
- pl

* Thu Jan 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 2c66f94
- initial import

